import * as APIServices from './services';
export * from './services';
export declare const GroupsBundle: new (baseOptions: import("./infrastructure/BaseService").BaseModelContructorOptions) => {
    Groups: APIServices.Groups;
    GroupAccessRequests: APIServices.GroupAccessRequests;
    GroupBadges: APIServices.GroupBadges;
    GroupCustomAttributes: APIServices.GroupCustomAttributes;
    GroupIssueBoards: APIServices.GroupIssueBoards;
    GroupMembers: APIServices.GroupMembers;
    GroupMilestones: APIServices.GroupMilestones;
    GroupProjects: APIServices.GroupProjects;
    GroupVariables: APIServices.GroupVariables;
    Epics: APIServices.Epics;
    EpicIssues: APIServices.EpicIssues;
    EpicNotes: APIServices.EpicNotes;
    EpicDiscussions: APIServices.EpicDiscussions;
};
export declare const UsersBundle: new (baseOptions: import("./infrastructure/BaseService").BaseModelContructorOptions) => {
    Users: APIServices.Users;
    UserCustomAttributes: APIServices.UserCustomAttributes;
    UserEmails: APIServices.UserEmails;
    UserImpersonationTokens: APIServices.UserImpersonationTokens;
    UserKeys: APIServices.UserKeys;
    UserGPGKeys: APIServices.UserGPGKeys;
};
export declare const ProjectsBundle: new (baseOptions: import("./infrastructure/BaseService").BaseModelContructorOptions) => {
    Branches: APIServices.Branches;
    Commits: APIServices.Commits;
    CommitDiscussions: APIServices.CommitDiscussions;
    DeployKeys: APIServices.DeployKeys;
    Deployments: APIServices.Deployments;
    Environments: APIServices.Environments;
    Issues: APIServices.Issues;
    IssueAwardEmojis: APIServices.IssueAwardEmojis;
    IssueNotes: APIServices.IssueNotes;
    IssueDiscussions: APIServices.IssueDiscussions;
    Jobs: APIServices.Jobs;
    Labels: APIServices.Labels;
    MergeRequests: APIServices.MergeRequests;
    MergeRequestAwardEmojis: APIServices.MergeRequestAwardEmojis;
    MergeRequestDiscussions: APIServices.MergeRequestDiscussions;
    MergeRequestNotes: APIServices.MergeRequestNotes;
    Pipelines: APIServices.Pipelines;
    PipelineSchedules: APIServices.PipelineSchedules;
    PipelineScheduleVariables: APIServices.PipelineScheduleVariables;
    Projects: APIServices.Projects;
    ProjectAccessRequests: APIServices.ProjectAccessRequests;
    ProjectBadges: APIServices.ProjectBadges;
    ProjectCustomAttributes: APIServices.ProjectCustomAttributes;
    ProjectImportExport: APIServices.ProjectImportExport;
    ProjectIssueBoards: APIServices.ProjectIssueBoards;
    ProjectHooks: APIServices.ProjectHooks;
    ProjectMembers: APIServices.ProjectMembers;
    ProjectMilestones: APIServices.ProjectMilestones;
    ProjectSnippets: APIServices.ProjectSnippets;
    ProjectSnippetNotes: APIServices.ProjectSnippetNotes;
    ProjectSnippetDiscussions: APIServices.ProjectSnippetDiscussions;
    ProjectSnippetAwardEmojis: APIServices.ProjectSnippetAwardEmojis;
    ProtectedBranches: APIServices.ProtectedBranches;
    ProjectVariables: APIServices.ProjectVariables;
    Repositories: APIServices.Repositories;
    RepositoryFiles: APIServices.RepositoryFiles;
    Runners: APIServices.Runners;
    Services: APIServices.Services;
    Tags: APIServices.Tags;
    Triggers: APIServices.Triggers;
};
declare const _default: new (baseOptions: import("./infrastructure/BaseService").BaseModelContructorOptions) => {
    Groups: APIServices.Groups;
    GroupAccessRequests: APIServices.GroupAccessRequests;
    GroupBadges: APIServices.GroupBadges;
    GroupCustomAttributes: APIServices.GroupCustomAttributes;
    GroupIssueBoards: APIServices.GroupIssueBoards;
    GroupMembers: APIServices.GroupMembers;
    GroupMilestones: APIServices.GroupMilestones;
    GroupProjects: APIServices.GroupProjects;
    GroupVariables: APIServices.GroupVariables;
    Epics: APIServices.Epics;
    EpicIssues: APIServices.EpicIssues;
    EpicNotes: APIServices.EpicNotes;
    EpicDiscussions: APIServices.EpicDiscussions;
    Users: APIServices.Users;
    UserCustomAttributes: APIServices.UserCustomAttributes;
    UserEmails: APIServices.UserEmails;
    UserImpersonationTokens: APIServices.UserImpersonationTokens;
    UserKeys: APIServices.UserKeys;
    UserGPGKeys: APIServices.UserGPGKeys;
    Branches: APIServices.Branches;
    Commits: APIServices.Commits;
    CommitDiscussions: APIServices.CommitDiscussions;
    Deployments: APIServices.Deployments;
    DeployKeys: APIServices.DeployKeys;
    Environments: APIServices.Environments;
    Issues: APIServices.Issues;
    IssueNotes: APIServices.IssueNotes;
    IssueDiscussions: APIServices.IssueDiscussions;
    IssueAwardEmojis: APIServices.IssueAwardEmojis;
    Jobs: APIServices.Jobs;
    Labels: APIServices.Labels;
    MergeRequests: APIServices.MergeRequests;
    MergeRequestAwardEmojis: APIServices.MergeRequestAwardEmojis;
    MergeRequestDiscussions: APIServices.MergeRequestDiscussions;
    MergeRequestNotes: APIServices.MergeRequestNotes;
    Pipelines: APIServices.Pipelines;
    PipelineSchedules: APIServices.PipelineSchedules;
    PipelineScheduleVariables: APIServices.PipelineScheduleVariables;
    Projects: APIServices.Projects;
    ProjectAccessRequests: APIServices.ProjectAccessRequests;
    ProjectBadges: APIServices.ProjectBadges;
    ProjectCustomAttributes: APIServices.ProjectCustomAttributes;
    ProjectImportExport: APIServices.ProjectImportExport;
    ProjectIssueBoards: APIServices.ProjectIssueBoards;
    ProjectHooks: APIServices.ProjectHooks;
    ProjectMembers: APIServices.ProjectMembers;
    ProjectMilestones: APIServices.ProjectMilestones;
    ProjectSnippets: APIServices.ProjectSnippets;
    ProjectSnippetNotes: APIServices.ProjectSnippetNotes;
    ProjectSnippetDiscussions: APIServices.ProjectSnippetDiscussions;
    ProjectSnippetAwardEmojis: APIServices.ProjectSnippetAwardEmojis;
    ProtectedBranches: APIServices.ProtectedBranches;
    ProjectVariables: APIServices.ProjectVariables;
    Repositories: APIServices.Repositories;
    RepositoryFiles: APIServices.RepositoryFiles;
    Runners: APIServices.Runners;
    Services: APIServices.Services;
    Tags: APIServices.Tags;
    Todos: APIServices.Todos;
    Triggers: APIServices.Triggers;
    PushRule: APIServices.PushRule;
    ApplicationSettings: APIServices.ApplicationSettings;
    BroadcastMessages: APIServices.BroadcastMessages;
    Events: APIServices.Events;
    FeatureFlags: APIServices.FeatureFlags;
    GeoNodes: APIServices.GeoNodes;
    GitignoreTemplates: APIServices.GitignoreTemplates;
    GitLabCIYMLTemplates: APIServices.GitLabCIYMLTemplates;
    Keys: APIServices.Keys;
    Licence: APIServices.Licence;
    LicenceTemplates: APIServices.LicenceTemplates;
    Lint: APIServices.Lint;
    Namespaces: APIServices.Namespaces;
    NotificationSettings: APIServices.NotificationSettings;
    Markdown: APIServices.Markdown;
    PagesDomains: APIServices.PagesDomains;
    Search: APIServices.Search;
    SidekiqMetrics: APIServices.SidekiqMetrics;
    Snippets: APIServices.Snippets;
    SystemHooks: APIServices.SystemHooks;
    Version: APIServices.Version;
    Wikis: APIServices.Wikis;
};
export default _default;
