import { XhrStaticPromisified } from './XMLHttpRequester';
interface BaseModelOptions {
    url?: string;
    token?: string;
    oauthToken?: string;
    useXMLHttpRequest?: boolean;
    version?: string;
    sudo?: string | number;
    rejectUnauthorized?: boolean;
}
export declare type BaseModelContructorOptions = (BaseModelOptions & Required<Pick<BaseModelOptions, 'token'>>) | (BaseModelOptions & Required<Pick<BaseModelOptions, 'oauthToken'>>);
declare class BaseModel {
    url: string;
    readonly headers: {
        [header: string]: string | number;
    };
    readonly rejectUnauthorized: boolean;
    readonly requester: XhrStaticPromisified;
    readonly useXMLHttpRequest: boolean;
    constructor({ token, oauthToken, sudo, url, useXMLHttpRequest, version, rejectUnauthorized, }: BaseModelContructorOptions);
}
export default BaseModel;
