import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare const ACTION_TYPES: {
    created: string;
    updated: string;
    closed: string;
    reopened: string;
    pushed: string;
    commented: string;
    merged: string;
    joined: string;
    left: string;
    destroyed: string;
    expired: string;
};
declare const TARGET_TYPES: {
    issue: string;
    milestone: string;
    merge_request: string;
    note: string;
    project: string;
    snippet: string;
    user: string;
};
declare function assertEventOptions(action: keyof typeof ACTION_TYPES, target: keyof typeof TARGET_TYPES): void;
export interface EventOptions {
    action: keyof typeof ACTION_TYPES;
    targetType: keyof typeof TARGET_TYPES;
}
declare class Events extends BaseService {
    all(options: RequestOptions & EventOptions): Promise<any>;
}
export default Events;
export { assertEventOptions };
