import { BaseService } from '../infrastructure';
import { BaseModelContructorOptions } from '../infrastructure/BaseService';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare const LEVELS: {
    DISABLED: string;
    PARTICIPATING: string;
    WATCH: string;
    GLOBAL: string;
    MENTION: string;
    CUSTOM: string;
};
declare const EVENTS: {
    NEW_NOTE: string;
    NEW_ISSUE: string;
    REOPEM_ISSUE: string;
    CLOSE_ISSUE: string;
    REASSIGN_ISSUE: string;
    NEW_MERGE_REQUESTS: string;
    PUSH_TO_MERGE_REQUEST: string;
    REOPEN_MERGE_REQUESTS: string;
    CLOSE_MERGE_REQUEST: string;
    REASSIGN_MERGE_REQUEST: string;
    MERGE_MERGE_REQUEST: string;
    FAILED_PIPELINE: string;
    SUCCESS_PIPELINE: string;
};
interface NotificationSettingsOptions {
    projectId?: ProjectId;
    groupId?: string;
}
declare class NotificationSettings extends BaseService {
    protected LEVELS: typeof LEVELS;
    protected EVENTS: typeof EVENTS;
    constructor(baseParams: BaseModelContructorOptions);
    all({ projectId, groupId }?: NotificationSettingsOptions): Promise<any>;
    edit(options: RequestOptions, { projectId, groupId }?: NotificationSettingsOptions): Promise<any>;
}
export default NotificationSettings;
