import { BaseService } from '../infrastructure';
declare type ImpersonationTokenId = string | number;
declare class UserImpersonationTokens extends BaseService {
    all(userId: UserId): Promise<any>;
    /**
     * It creates a new impersonation token. Note that only administrators can do this.
     * You are only able to create impersonation tokens to impersonate the user and perform
     * both API calls and Git reads and writes. The user will not see these tokens
     * in their profile settings page.
     * @param userId UserId
     * @param name The name of the impersonation token
     * @param scopes The array of scopes of the impersonation token (api, read_user)
     * @param expiresAt The expiration date of the impersonation token in ISO format (YYYY-MM-DD)
     */
    add(userId: UserId, name: string, scopes: temporaryAny, expiresAt: string): Promise<any>;
    show(userId: UserId, tokenId: ImpersonationTokenId): Promise<any>;
    revoke(userId: UserId, tokenId: ImpersonationTokenId): Promise<any>;
}
export default UserImpersonationTokens;
