import { BaseService } from '../infrastructure';
import { BaseModelContructorOptions } from '../infrastructure/BaseService';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type BoardId = string | number;
export declare type ListId = string | number;
export declare type LabelId = string | number;
/** The position of the list */
export declare type Position = string | number;
declare class ResourceIssueBoards extends BaseService {
    constructor(resourceType: string, baseParams: BaseModelContructorOptions);
    all(resourceId: ResourceId, options: RequestOptions): Promise<any>;
    create(resourceId: ResourceId, name: string): Promise<any>;
    createList(resourceId: ResourceId, boardId: BoardId, labelId: LabelId): Promise<any>;
    edit(resourceId: ResourceId, boardId: BoardId, options: RequestOptions): Promise<any>;
    editList(resourceId: ResourceId, boardId: BoardId, listId: ListId, position: Position): Promise<any>;
    lists(resourceId: ResourceId, boardId: BoardId): Promise<any>;
    remove(resourceId: ResourceId, boardId: BoardId): Promise<any>;
    removeList(resourceId: ResourceId, boardId: BoardId, listId: ListId): Promise<any>;
    show(resourceId: ResourceId, boardId: BoardId): Promise<any>;
    showList(resourceId: ResourceId, boardId: BoardId, listId: ListId): Promise<any>;
}
export default ResourceIssueBoards;
