import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
export interface CommitAction {
    /** The action to perform */
    action: 'create' | 'delete' | 'move' | 'update';
    /** Full path to the file. Ex. lib/class.rb */
    file_path: string;
    /** Original full path to the file being moved.Ex.lib / class1.rb */
    previous_path?: string;
    /** File content, required for all except delete. Optional for move */
    content?: string;
    /** text or base64. text is default. */
    encoding?: string;
    /** Last known file commit id. Will be only considered in update, move and delete actions. */
    last_commit_id?: string;
}
declare class Commits extends BaseService {
    all(projectId: ProjectId, options: RequestOptions): Promise<any>;
    cherryPick(projectId: ProjectId, sha: string, branch: string): Promise<any>;
    comments(projectId: ProjectId, sha: string): Promise<any>;
    create(projectId: ProjectId, branch: string, message: string, actions: CommitAction[], options: RequestOptions): Promise<any>;
    createComment(projectId: ProjectId, sha: string, note: string, options: RequestOptions): Promise<any>;
    diff(projectId: ProjectId, sha: string): Promise<any>;
    editStatus(projectId: ProjectId, sha: string, options: RequestOptions): Promise<any>;
    references(projectId: ProjectId, sha: string): Promise<any>;
    show(projectId: ProjectId, sha: string, options: RequestOptions): Promise<any>;
    status(projectId: ProjectId, sha: string, options: RequestOptions): Promise<any>;
}
export default Commits;
