import { BaseService } from '../infrastructure';
import { PipelineId } from './Pipelines';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type JobId = string | number;
declare class Jobs extends BaseService {
    all(projectId: ProjectId, options?: {}): Promise<any>;
    cancel(projectId: ProjectId, jobId: JobId): Promise<any>;
    downloadSingleArtifactFile(projectId: ProjectId, jobId: JobId, artifactPath: string, options?: {
        stream: boolean;
    }): Promise<any>;
    downloadLatestArtifactFile(projectId: ProjectId, ref: string, name: string, options?: {
        stream: boolean;
    }): Promise<any>;
    downloadTraceFile(projectId: ProjectId, jobId: JobId): Promise<any>;
    erase(projectId: ProjectId, jobId: JobId): Promise<any>;
    keepArtifacts(projectId: ProjectId, jobId: JobId): Promise<any>;
    play(projectId: ProjectId, jobId: JobId): Promise<any>;
    retry(projectId: ProjectId, jobId: JobId): Promise<any>;
    show(projectId: ProjectId, jobId: JobId): Promise<any>;
    showPipelineJobs(projectId: ProjectId, pipelineId: PipelineId, options: RequestOptions): Promise<any>;
}
export default Jobs;
