import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type MergeRequestId = string | number;
declare class MergeRequests extends BaseService {
    accept(projectId: ProjectId, mergerequestId: MergeRequestId, options: RequestOptions): Promise<any>;
    addSpentTime(projectId: ProjectId, mergerequestId: MergeRequestId, duration: Duration): Promise<any>;
    addTimeEstimate(projectId: ProjectId, mergerequestId: MergeRequestId, duration: Duration): Promise<any>;
    approve(projectId: ProjectId, mergerequestId: MergeRequestId, { sha }: {
        sha: string;
    }): Promise<any>;
    approvals(projectId: ProjectId, { mergerequestId }?: {
        mergerequestId?: MergeRequestId;
    }): Promise<any>;
    all({ projectId, ...options }?: {
        projectId?: ProjectId;
    }): Promise<any>;
    cancelOnPipelineSucess(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    changes(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    closesIssues(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    commits(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    create(projectId: ProjectId, sourceBranch: string, targetBranch: string, title: string, options: RequestOptions): Promise<any>;
    edit(projectId: ProjectId, mergerequestId: MergeRequestId, options: RequestOptions): Promise<any>;
    editApprovals(projectId: ProjectId, { mergerequestId, ...options }: temporaryAny): Promise<any>;
    editApprovers(projectId: ProjectId, { mergerequestId, ...options }: temporaryAny): Promise<any>;
    pipelines(projectId: ProjectId, { mergerequestId }?: {
        mergerequestId?: string;
    }): Promise<any>;
    remove(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    resetSpentTime(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    resetTimeEstimate(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    show(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    timeStats(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    version(projectId: ProjectId, mergerequestId: MergeRequestId, versionId: string | number): Promise<any>;
    versions(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    unapprove(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    unsubscribe(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
}
export default MergeRequests;
