import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare const VISIBILITY_LEVELS: {
    PRIVATE: string;
    INTERNAL: string;
    PUBLIC: string;
};
declare type SnippetId = string | number;
declare type VisibilityLevel = 'private' | 'public' | 'internal';
declare class ProjectSnippets extends BaseService {
    all(projectId: ProjectId, options?: {}): Promise<any>;
    content(projectId: ProjectId, snippetId: SnippetId): Promise<any>;
    create(projectId: ProjectId, title: string, fileName: string, code: string, visibility: VisibilityLevel, options?: RequestOptions): Promise<any>;
    edit(projectId: ProjectId, snippetId: SnippetId, options: RequestOptions): Promise<any>;
    remove(projectId: ProjectId, snippetId: SnippetId): Promise<any>;
    show(projectId: ProjectId, snippetId: SnippetId): Promise<any>;
    userAgentDetails(projectId: ProjectId, snippetId: SnippetId): Promise<any>;
}
export default ProjectSnippets;
export { VISIBILITY_LEVELS };
