import { BaseService } from '../infrastructure';
import { BaseModelContructorOptions } from '../infrastructure/BaseService';
export declare const ACCESS_LEVELS: {
    GUEST: number;
    REPORTER: number;
    DEVELOPER: number;
    MASTER: number;
    OWNER: number;
};
declare class ResourceAccessRequests extends BaseService {
    protected ACCESS_LEVELS: typeof ACCESS_LEVELS;
    constructor(resourceType: string, baseParams: BaseModelContructorOptions);
    all(resourceId: ResourceId): Promise<any>;
    request(resourceId: ResourceId): Promise<any>;
    approve(resourceId: ResourceId, userId: UserId, { accessLevel }: {
        accessLevel?: number;
    }): Promise<any>;
    deny(resourceId: ResourceId, userId: UserId): Promise<any>;
}
export default ResourceAccessRequests;
