import { BaseService } from '../infrastructure';
import { BaseModelContructorOptions } from '../infrastructure/BaseService';
import { RequestOptions } from '../infrastructure/RequestHelper';
/** A valid access level */
export declare type AccessLevel = number;
declare class ResourceMembers extends BaseService {
    constructor(resourceType: string, baseParams: BaseModelContructorOptions);
    all(resourceId: ResourceId, includeInherited?: boolean, options?: {}): Promise<any>;
    add(resourceId: ResourceId, userId: UserId, accessLevel: AccessLevel, options: RequestOptions): Promise<any>;
    edit(resourceId: ResourceId, userId: UserId, accessLevel: AccessLevel, options: RequestOptions): Promise<any>;
    show(resourceId: ResourceId, userId: UserId): Promise<any>;
    remove(resourceId: ResourceId, userId: UserId): Promise<any>;
}
export default ResourceMembers;
